您尚未登录。

#1 2017-11-10 23:21:16

管毅
会员
注册时间: 2014-04-08
帖子: 322

[已解决]升级的时候出一个要求删掉pacman.conf中的siglevel一行,什么意思?

gpg: 下次信任度数据库检查将于 2018-06-25 进行
==> ERROR: Please remove the SigLevel= line of [archlinuxcn] from "/etc/pacman.conf" to use the default setting
==> ERROR: 请删除 /etc/pacman.conf 中 [archlinuxcn] 下的 SigLevel= 行,以使用默认设置

最近编辑记录 管毅 (2017-11-13 21:57:27)

离线

#2 2017-11-10 23:30:38

管毅
会员
注册时间: 2014-04-08
帖子: 322

Re: [已解决]升级的时候出一个要求删掉pacman.conf中的siglevel一行,什么意思?

最后还有两个警告如下:请问有什么影响么?

(490/490) 正在更新 wxgtk3                                                                      [#######################################################] 100%
:: 正在运行事务后钩子函数...
( 1/24) Updating linux initcpios
==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 4.13.11-1-ARCH
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
==> Starting build: 4.13.11-1-ARCH
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: aic94xx
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
==> Image generation successful
( 2/24) Warn about old perl modules
( 3/24) Updating fontconfig cache...
( 4/24) Probing GDK-Pixbuf loader modules...
( 5/24) Updating GIO module cache...
( 6/24) Compiling GSettings XML schema files...
( 7/24) Probing GTK2 input method modules...
( 8/24) Probing GTK3 input method modules...
( 9/24) Updating icon theme caches...
(10/24) Reloading GVFS config...
(11/24) Updating 32-bit fontconfig cache...
(12/24) Updating TeXLive filename database...
(13/24) Updating udev hardware database...
(14/24) Updating system user accounts...
(15/24) Creating temporary files...
(16/24) Arming ConditionNeedsUpdate...
(17/24) Updating the info directory file...
(18/24) Updating TeXLive font maps...
(19/24) Updating the appstream cache...
AppStream cache update completed successfully.
(20/24) Rebuilding certificate stores...
(21/24) Updating the desktop file MIME type cache...
(22/24) Updating the MIME type database...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
(23/24) Updating the vlc plugin cache...
(24/24) Updating X fontdir indices...

离线

#3 2017-11-13 10:33:27

matrikslee
会员
注册时间: 2017-04-21
帖子: 114
个人网站

Re: [已解决]升级的时候出一个要求删掉pacman.conf中的siglevel一行,什么意思?

第一个错误看wiki的pacman条目,里面又配置格式和方法。
第二个问题,那两个警告是说 你的系统缺少了两个特定的固件,可能系统上的硬件会需要,这个问题可以在aur里面找到两个包(通过搜索关键字即可),git clone下来后

makepkg -si

就可以解决。


什么都想学,什么也没学会.

离线

#4 2017-11-13 13:00:51

LastAvengers
其实不是会员
所在地: Royal Blue Shit Univeristy
注册时间: 2015-05-01
帖子: 92
个人网站

Re: [已解决]升级的时候出一个要求删掉pacman.conf中的siglevel一行,什么意思?

关于第一个警告,你在 [archlinuxcn] 小节中的 SigLevlel 用了 TrustAll,这是危险的做法。
如今 cn 源的所有包都已经有了签名,SigLevel 这一行直接删掉就好了。

ref: https://github.com/archlinuxcn/repo/blo … nstall#L47

离线

#5 2017-11-13 21:50:10

管毅
会员
注册时间: 2014-04-08
帖子: 322

Re: [已解决]升级的时候出一个要求删掉pacman.conf中的siglevel一行,什么意思?

LastAvengers 说:

关于第一个警告,你在 [archlinuxcn] 小节中的 SigLevlel 用了 TrustAll,这是危险的做法。
如今 cn 源的所有包都已经有了签名,SigLevel 这一行直接删掉就好了。

ref: https://github.com/archlinuxcn/repo/blo … nstall#L47

哦,多谢二师兄。

离线

#6 2017-11-13 21:56:53

管毅
会员
注册时间: 2014-04-08
帖子: 322

Re: [已解决]升级的时候出一个要求删掉pacman.conf中的siglevel一行,什么意思?

matrikslee 说:

第一个错误看wiki的pacman条目,里面又配置格式和方法。
第二个问题,那两个警告是说 你的系统缺少了两个特定的固件,可能系统上的硬件会需要,这个问题可以在aur里面找到两个包(通过搜索关键字即可),git clone下来后

makepkg -si

就可以解决。

多谢师兄。
第一个问题已了解。
第二个问题,现在用着好像也没多大事儿,咱还是不多事儿了,等什么时候出问题再说吧,否则等安装包的时候出了问题搞不定,就太耽误时间了。

离线

页脚